HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostApplicationFeesFeeRefundsId

Contains the different functions to run the operation postApplicationFeesFeeRefundsId

  • 4 types
  • 3 values
  • Packagestripeapi-3.0.0.0
  • Exports7
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostApplicationFeesFeeRefundsId.hs
valuepostApplicationFeesFeeRefundsId
  1. :: MonadHTTP m
  2. => PostApplicationFeesFeeRefundsIdParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> Maybe PostApplicationFeesFeeRefundsIdRequestBody

    The request body to send

  4. -> ClientT m (Response PostApplicationFeesFeeRefundsIdResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/application_fees/{fee}/refunds/{id}

<p>Updates the specified application fee refund by setting the values of the parameters passed. Any parameters not provided will be left unchanged.</p>

<p>This request only accepts metadata as an argument.</p>

Defines the object schema located at paths./v1/application_fees/{fee}/refunds/{id}.POST.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/application_fees/{fee}/refunds/{id}.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/application_fees/{fee}/refunds/{id}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.metadata.anyOf in the specification.

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postApplicationFeesFeeRefundsId.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostApplicationFeesFeeRefundsIdResponseError is used.

Constructors

Instances2Eq, Show